## org.apache.poi.hslf.model
Class ShapeFactory

    java.lang.Object
      org.apache.poi.hslf.model.ShapeFactory

    public final class ShapeFactory

extends java.lang.Object

Create a `Shape` object depending on its type

Author:
  Yegor Kozlov

Field Summary
`protected static POILogger` `logger`

Constructor Summary
`ShapeFactory()`

Method Summary
`static Shape` `createShape(EscherContainerRecord spContainer, Shape parent)` Create a new shape from the data provided.
`static ShapeGroup` `createShapeGroup(EscherContainerRecord spContainer, Shape parent)`
`static Shape` `createSimpeShape(EscherContainerRecord spContainer, Shape parent)`
`protected static Record` `getClientDataRecord(EscherContainerRecord spContainer, int recordType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static POILogger logger

Constructor Detail

### ShapeFactory

    public ShapeFactory()

Method Detail

### createShape

    public static Shape createShape(EscherContainerRecord spContainer,
                                    Shape parent)

  Create a new shape from the data provided.

### createShapeGroup

    public static ShapeGroup createShapeGroup(EscherContainerRecord spContainer,
                                              Shape parent)

### createSimpeShape

    public static Shape createSimpeShape(EscherContainerRecord spContainer,
                                         Shape parent)

### getClientDataRecord

    protected static Record getClientDataRecord(EscherContainerRecord spContainer,
                                                int recordType)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.